Last Comment Bug 659213 - status bar text is drawn with grayscale anti-aliasing
: status bar text is drawn with grayscale anti-aliasing
Status: NEW
:
Product: Core
Classification: Components
Component: Graphics (show other bugs)
: Trunk
: x86 Windows 7
: -- normal with 2 votes (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-23 19:27 PDT by John Daggett (:jtd)
Modified: 2011-12-28 03:37 PST (History)
10 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed


Attachments
Shows the places were greyscale anti aliasing is used instead of subpixel anti aliasing (111.43 KB, image/png)
2011-07-07 08:32 PDT, BRDTO
no flags Details
workaround (899 bytes, patch)
2011-12-14 03:18 PST, Dão Gottwald [:dao]
shorlander: review+
christian: approval‑mozilla‑aurora+
dao+bmo: checkin+
Details | Diff | Splinter Review
screenshot with and without workaround (9.06 KB, image/png)
2011-12-14 03:23 PST, Dão Gottwald [:dao]
no flags Details

Description John Daggett (:jtd) 2011-05-23 19:27:05 PDT
Steps:

1. Open about:support
2. Hover over the about:plugins link

Result: status bar is shown but the text is drawn with grayscale anti-aliasing rather than subpixel anti-aliasing.
Comment 1 BRDTO 2011-07-06 12:57:10 PDT
This bug is still present in Firefox 5 (stable). There are several places were I saw Firefox 5 use greyscale-aa under Windows 7 (with Aero enabled).

Actually this bug applies to:
- tooltip texts
- the tooltip shown in the lower left when hovering over links
- adress bar
- search bar
- fonts on tabs (not always though, I'm not sure what's the reason yet)
- some dropdown lists on websites

This bug is quite annoying and makes the move to DirectDraw font rendering even more unappealing.
Comment 2 BRDTO 2011-07-07 08:32:46 PDT
Created attachment 544498 [details]
Shows the places were greyscale anti aliasing is used instead of subpixel anti aliasing

I added an attachment were you can see all places were greyscale anti aliasing is used instead of subpixel anti aliasing (Though I couldn't find an example for a dropdown box yet).

I was able to reproduce the problem with a clean profile. Steps to reproduce:
- tooltip texts: simply hover mouse over an element that has a tooltip, e.g. the "flags"-sections of a bug entry on bugzilla.mozilla.org (not visible in the attachment but verified by me on the same page).
- the tooltip shown in the lower left when hovering over links: just hover over a link (see attachment)
- adress bar: set "Tabs on Top" to false. Nothing else needed to do (see attachment)
- search bar: set "Tabs on Top" to false. Nothing else needed to do (see attachment)
- fonts on tabs: visit https://bugzilla.mozilla.org and activate this tab, then all tabs will use greyscale anti aliasing (see attachment). On other pages, e.g. a blank page correct subpixel anti aliasing is used, though.
Comment 3 Dão Gottwald [:dao] 2011-12-11 12:11:12 PST
Removing the status panel's border radius fixes the rendering. Is it expected that border radii have this effect? If so, we can avoid them there. We can't do this for tooltips, where we are using native theming.
Comment 4 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2011-12-11 13:55:53 PST
(In reply to Dão Gottwald [:dao] from comment #3)
> Removing the status panel's border radius fixes the rendering. Is it
> expected that border radii have this effect?

No... We should be using a component alpha layer for it...
Comment 5 Timothy Nikkel (:tnikkel) 2011-12-11 17:39:44 PST
On Linux at least I get subpixel AA in the status panel.
Comment 6 Dão Gottwald [:dao] 2011-12-12 14:05:12 PST
So what's the likelihood that this will get fixed in the foreseeable feature? I'd like to work around it, but then it probably won't be on anyone's radar anymore?
Comment 7 Dão Gottwald [:dao] 2011-12-14 03:18:39 PST
Created attachment 581577 [details] [diff] [review]
workaround
Comment 8 Dão Gottwald [:dao] 2011-12-14 03:23:44 PST
Created attachment 581578 [details]
screenshot with and without workaround
Comment 9 Stephen Horlander [:shorlander] 2011-12-22 22:34:03 PST
Comment on attachment 581577 [details] [diff] [review]
workaround

Review of attachment 581577 [details] [diff] [review]:
-----------------------------------------------------------------

Looks goods until the bug gets fixed. Thanks!
Comment 10 Dão Gottwald [:dao] 2011-12-23 20:17:35 PST
Comment on attachment 581577 [details] [diff] [review]
workaround

http://hg.mozilla.org/mozilla-central/rev/f63a99195987
Comment 11 Dão Gottwald [:dao] 2011-12-26 11:46:55 PST
Comment on attachment 581577 [details] [diff] [review]
workaround

This simply comments out a CSS property in order to improve the text rendering quality on the status panel. Can this land on aurora?
Comment 12 christian 2011-12-27 14:33:28 PST
Comment on attachment 581577 [details] [diff] [review]
workaround

[triage comment]
Normally this wouldn't meet the standard for an aurora backport but the patch looks trivial and it's early in the cycle. Approved for aurora.
Comment 14 Alfred Kayser 2011-12-28 03:37:50 PST
Note, with a radius of 5px it doesn't grayscale, but with 6px and higher it does.
So, setting a smaller radius of like 3px should remove this unwanted effect.

Note You need to log in before you can comment on or make changes to this bug.